features:
  primary:
    - name: "Parallel matrix jobs show relevant variables in job name"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/yaml/README.html#parallel-matrix-jobs'
      image_url: '/images/13_4/parallel-matrix-titles.png'
      reporter: jyavorska
      stage: verify
      categories:
        - 'Continuous Integration (CI)'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/230452'
      description: |
        If you used [matrix jobs](https://docs.gitlab.com/ee/ci/yaml/#parallel-matrix-jobs), you probably noticed it was difficult to determine which matrix variables were used for each job, because the job names were formatted like `matrix 1/4`. In 13.4, you will now see the relevant variable values that were used in that job, instead of seeing a generic job name. For example, if you are building a debug target for x86 architecture, the job will now be named `matrix: debug x86`.
